Siirry pääsisältöön
Soita meille
Puhelinnumerot ja aukioloajat
Ohjekeskus

Tutustu ohjeresursseihimme verkossa

Ohje

GoDaddy Ohje

Yritimme kääntää tämän sivun puolestasi. Englanninkielinen sivu on myös saatavilla.

Tarkista eri selainten yhteensopivuus WordPressin kanssa

Selainten väliset yhteensopivuusongelmat WordPressissä liittyvät tyypillisesti CSS: ään . Huomaat usein tämän ongelman selatessasi sivustoasi, eivätkä tietyt elementit ole oikeassa paikassa, ne eivät näytä korjaantuvan oikein tai eivät yksinkertaisesti lataudu lainkaan.

Vanhemmilla WordPress -sivustoilla voi olla ongelmia selainten välisen yhteensopivuuden kanssa. Tiukkojen laajennuksia ja teemoja koskevien vaatimusten vuoksi et todennäköisesti löydä nykyisiä laajennuksia tai teemoja tästä aiheesta.

Microsoft Edge -selain auttaa helposti selainten välisen yhteensopivuuden tarkistamisessa sivustollasi.

  1. Avaa Edge -selain.
  2. Siirry verkkosivustollesi selaimen avulla.
  3. Lataa kehittäjän työkalut painamalla F12 -näppäintä.
  4. Napsauta esiin tulevassa ikkunassa Emulointi -välilehteä.
  5. Valitse User agent -merkkijono -kohdassa selaimen versio, jonka haluat testata.

    Huomautus: Hyvä aloituspaikka on IE 8, koska tämä on vanhentunut selain, jota käytetään edelleen yleisesti.

  6. Tarkista sivustosi ja huomioi mahdolliset epäjohdonmukaisuudet.
  7. Toista vaiheet 5 ja 6 tarvittaessa selaimilla, joiden epäilet olevan ongelmissa.

Koska WordPress itsessään on jo optimoitu selainten väliselle yhteensopivuudelle, epäjohdonmukaisuuksien luettelon tulisi viitata ongelmaan liittyvään teemaan tai laajennukseen.

Seuraavat vaiheet

Lisätietoja